@import '~@angular/material/theming';

@mixin mat-custom-radio-theme($theme) {
  $accent: map-get($theme, accent);
  $primary: map-get($theme, primary);
  $warn: map-get($theme, warn);
  $btn-outline-shadow: 0 0 0 2px mat-color($primary, 200);
  $cubic-bezier: cubic-bezier(.8,0,.27,.99);
  $base-transition-time: .3s;
  $base-transition: $base-transition-time $cubic-bezier;

  .mat-radio-button {
    color: mat-color($accent, 700);
    font-size: 0.813rem;
    font-style: normal;
    font-weight: 500;
    line-height: 1;
    letter-spacing: 0;
    outline: 0;
    margin-bottom: 0.5rem;

    &.mat-radio-checked {
      .mat-radio-label-content {
        color: mat-color($accent, 900) !important;
      }
    }
      
    &:focus:not(.cdk-mouse-focused),
    &.cdk-keyboard-focused {
      .mat-radio-container {
        outline: 0;
        box-shadow: $btn-outline-shadow;
      }
    }

    &.mat-primary {

      &.disabled,
      &.mat-radio-disabled,
      &[disabled] {
            .mat-radio-outer-circle {
              background-color: mat-color($accent, 300);
            }
            .mat-radio-inner-circle {
              transform: translate3d(-50%,-50%,0) scale(0);
            }
      }

      &.mat-radio-checked {
        .mat-radio-outer-circle {
          background-color: mat-color($primary, 700);
        }
        .mat-radio-inner-circle {
          transform: translate3d(-50%,-50%,0) scale(.5);
        }

        &.disabled,
        &.mat-radio-disabled,
        &[disabled] {
          .mat-radio-outer-circle {
            background-color: mat-color($accent, 300);
          }
        }
      }
    }

    .mat-radio-container {
      .mat-radio-outer-circle {
        border: 0;
        background-color: mat-color($accent, 500);
        transition: $base-transition;
      }
      .mat-radio-inner-circle {
        width: 16px;
        height: 16px;
        transform: translate3d(-50%,-50%,0) scale(1);
        top: 50%;
        left: 50%;
        background-color: #FFF;
      }
    }
    .mat-radio-label{
      margin-bottom: 0;
    }
    .mat-radio-ripple {
      display: none;
    }
    .mat-radio-label-content{
      padding-left: 0.5rem;
      color: mat-color($accent, 700);
    }
  }
    
  .mat-radio{
      .mat-radio-label{
        color: $grey-7;
        font-weight: 600;
        font-size: 0.813rem;
      }
      &.mat-radio-checked{

        &.disabled,
        &.mat-radio-disabled,
        &[disabled] { 
          color: $grey-5;

        }
        .mat-radio-label{
          color: mat-color($accent, 900);
        }
      }
      &.disabled,
      &.mat-radio-disabled,
      &[disabled] { 
        color: $grey-5;
        .mat-radio-label-content{
          color: $grey-5; 
        }
        &.mat-radio-checked{
          color: $grey-5;
          .mat-radio-label-content{
            color: $grey-5 ;
          }
        }
      }
    }

    .mat-radio-button.mat-radio-checked .mat-radio-label-content{
        color: mat-color($accent, 900) !important;
    }
    .mat-radio-button.mat-radio-checked.mat-radio-disabled .mat-radio-label-content{
        color: $grey-5 !important;
    }
}
